import { SelectorPaths, SelectorValue } from '../helpers/stringSelector';
import { Store } from './store';
export declare type UseStorePropResult<T, K extends SelectorPaths<T>> = [value: SelectorValue<T, K>, update: (value: SelectorValue<T, K>) => void];
export declare function useStoreProp<T, K extends SelectorPaths<T>>(store: Store<T>, selector: K): UseStorePropResult<T, K>;
